Invarn Docs

Templates and each feature's state.

GET/api/v1/servers/{guild}/setup

Authorization

session
invarn_session<token>

In: cookie

Path Parameters

guild*string

A Discord ID (or one of Invarn's, which look the same).

Match^[0-9]+$

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/servers/string/setup"
{  "templates": [    {      "key": "string",      "name": "string",      "description": "string",      "steps": [        {          "feature": "staff",          "input": {            "places": {              "property1": {                "id": "string",                "name": "string"              },              "property2": {                "id": "string",                "name": "string"              }            },            "gate": true,            "preset": "string"          }        }      ]    }  ],  "features": [    {      "feature": "staff",      "state": "off",      "note": "string"    }  ]}